> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/tutorials/odds-and-predictions/extra-odds.md).

# Odds

Odds are one of our API's most used features. With this data feature, you can build an [**odds portal** ](/v2/how-to-guides/odds-and-predictions/how-to-build-a-betting-odds-portal.md)and a [**match page with odds.**](/v2/how-to-guides/odds-and-predictions/how-to-build-a-match-page-with-odds.md) We offer various ways of requesting odds.

The possibilities are:

* [**Odds by fixture and bookmaker id**](https://football-postman.sportmonks.com/#df327c76-3d44-49c6-b0f4-46ba32a2d8a2)
* [**Odds by fixture and market id**](https://football-postman.sportmonks.com/#6e96c33e-4633-439e-a5f6-b81e7c9508c7)
* [**Odds by fixture id**](https://football-postman.sportmonks.com/#ce0577c7-23d6-464f-8480-662bc8a7eae8)
* [**Inplay odds by fixture id**](https://football-postman.sportmonks.com/#e2c9a356-1c7b-4d32-883b-149457cd4b2c)
* [**Odds as include**](/v2/tutorials/enriching-your-response.md)

But first, let's explain what bookmakers and markets are.

### **Bookmakers and markets**

A bookmaker is a betting company that gives you the option to bet on a match’s particular outcome.\
\
The market is the type of betting system itself. There are various markets, but the most well-known one is the 3-way result (home team wins, draw, visitor team wins).

We at SportMonks offer you a large number of markets and bookmakers for you to choose from.

You can request all the bookmakers' ids via our [**bookmakers endpoint**](https://football-postman.sportmonks.com/#ed4c30db-cb45-4d4a-8bec-a067d17fe0e3). This endpoint is very useful for administrative purposes to check and structure the **bookmakers’ availability**.

Besides that, you can request all the market ids via our [**markets endpoin**t.](https://football-postman.sportmonks.com/#1651729b-36f3-46dd-a5bd-455a658a28d1) The markets endpoint will help you set up the Odds properly on your website or application. This endpoint is very useful for administrative purposes to check and structure **market availability**.

### Overview

Here's an overview of all the different odds we will discuss:

* **Live odds**: these are the odds for live games. We only offer bet365 and all their markets for live odds. Please note that you can only use the live odds when the fixture is in-play.&#x20;
* **Pre-match odds**: these are odds before a fixture. You can best use this if you want to show the odds before a match starts.
* **FlatOdds**: this is used as an include on our livescores/fixtures endpoint. It allows you to filter on a specific bookmaker and/or market id.
* **OddComparison**: the benefit of the oddComparison include is that it contains more bookmakers, making this the best option if you want to make a comparison application between all the bookmakers and the odds they offer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/odds-and-predictions/extra-odds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
